function::regparm
Prev | Chapter 2. Context Functions | Next

## Name

function::regparm — Specify regparm value used to compile function

## Synopsis

        regparm(n:long)

## Arguments

`n`

  original regparm value

## Description

Call this function with argument n before accessing function arguments using the *_arg function is the function was build with the gcc -mregparm=n option.

(The i386 kernel is built with \-mregparm=3, so systemtap considers regparm(3) the default for kernel functions on that architecture.) Only valid on i386 and x86_64 (when probing 32bit applications). Produces an error on other architectures.

Prev | Up | Next
function::registers_valid | Home | function::remote_id